System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Collections.CollectionBase

Use the to override the behavior of a set of objects. Multiple instances of the class can be applied to a class member, as long as each instance has a distinct property value; this instructs the to collect unknown elements under the named element into the appropriate array. It is for this reason that multiple instances of the class can be added to the .

To override a set of objects:

Create an .

Create the set of objects, and add each object to the collection using the method.

Create an .

Set the property to the .

Create an .

Add the to the using the method.

Create an instance of the using the .

Serialize or deserialize an object that contains the set of objects.

Represents a collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds an to the collection.

  The index of the newly added .

  The to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value that indicates whether the specified exists in the collection.

  true if the exists in the collection; otherwise, false.

  The you are interested in.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the entire collection to a compatible one-dimensional array of objects, starting at the specified index of the target array.

  The one-dimensional array of objects that is the destination of the elements copied from the collection. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Gets the index of the specified .

  The index of the specified .

  The whose index you want.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts an into the collection at the specified index.

  The index where the is inserted. The to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAnyElementAttribute `` To be added: an object of type 'int' To be added To be added: an object of type 'XmlAnyElementAttribute' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes the specified from the collection.

  The to remove.